PHP Classes

File: htdocs/class/libraries/vendor/composer/installed.json

Recommend this page to a friend!
  Classes of Michael Beck  >  Xoops 2.5  >  htdocs/class/libraries/vendor/composer/installed.json  >  Download  
File: htdocs/class/libraries/vendor/composer/installed.json
Role: Auxiliary data
Content type: text/plain
Description: Auxiliary data
Class: Xoops 2.5
Modular content management publication system
Author: By
Last change: Merge pull request #666 from geekwright/prep2.5.10rc

Update changelogs for RC
Date: 1 year ago
Size: 20,561 bytes
 

Contents

Class file image Download
[
    {
        "name": "firebase/php-jwt",
        "version": "v5.0.0",
        "version_normalized": "5.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/firebase/php-jwt.git",
            "reference": "9984a4d3a32ae7673d6971ea00bae9d0a1abba0e"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/firebase/php-jwt/zipball/9984a4d3a32ae7673d6971ea00bae9d0a1abba0e",
            "reference": "9984a4d3a32ae7673d6971ea00bae9d0a1abba0e",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "require-dev": {
            "phpunit/phpunit": " 4.8.35"
        },
        "time": "2017-06-27T22:17:23+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Firebase\\JWT\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "BSD-3-Clause"
        ],
        "authors": [
            {
                "name": "Neuman Vong",
                "email": "neuman+pear@twilio.com",
                "role": "Developer"
            },
            {
                "name": "Anant Narayanan",
                "email": "anant@php.net",
                "role": "Developer"
            }
        ],
        "description": "A simple library to encode and decode JSON Web Tokens (JWT) in PHP. Should conform to the current spec.",
        "homepage": "https://github.com/firebase/php-jwt"
    },
    {
        "name": "geekwright/regdom",
        "version": "v1.0.5",
        "version_normalized": "1.0.5.0",
        "source": {
            "type": "git",
            "url": "https://github.com/geekwright/RegDom.git",
            "reference": "cd812fb06312ca0a1dbe450093def2f67fb7caab"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/geekwright/RegDom/zipball/cd812fb06312ca0a1dbe450093def2f67fb7caab",
            "reference": "cd812fb06312ca0a1dbe450093def2f67fb7caab",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.9",
            "symfony/polyfill-mbstring": "^1.3.0"
        },
        "require-dev": {
            "phpunit/phpunit": "4.8.*|5.*"
        },
        "time": "2017-10-03T15:10:07+00:00",
        "bin": [
            "bin/reloadpsl"
        ],
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Geekwright\\RegDom\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "Richard Griffith",
                "email": "richard@geekwright.com"
            }
        ],
        "description": "OO adaptation of Florian Sager's regdom library for querying Mozilla Public Suffix List",
        "homepage": "https://github.com/geekwright/RegDom",
        "keywords": [
            "public",
            "regdom",
            "suffix",
            "tld"
        ]
    },
    {
        "name": "ircmaxell/password-compat",
        "version": "v1.0.4",
        "version_normalized": "1.0.4.0",
        "source": {
            "type": "git",
            "url": "https://github.com/ircmaxell/password_compat.git",
            "reference": "5c5cde8822a69545767f7c7f3058cb15ff84614c"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/ircmaxell/password_compat/zipball/5c5cde8822a69545767f7c7f3058cb15ff84614c",
            "reference": "5c5cde8822a69545767f7c7f3058cb15ff84614c",
            "shasum": ""
        },
        "require-dev": {
            "phpunit/phpunit": "4.*"
        },
        "time": "2014-11-20T16:49:30+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "lib/password.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Anthony Ferrara",
                "email": "ircmaxell@php.net",
                "homepage": "http://blog.ircmaxell.com"
            }
        ],
        "description": "A compatibility library for the proposed simplified password hashing algorithm: https://wiki.php.net/rfc/password_hash",
        "homepage": "https://github.com/ircmaxell/password_compat",
        "keywords": [
            "hashing",
            "password"
        ]
    },
    {
        "name": "kint-php/kint",
        "version": "2.2",
        "version_normalized": "2.2.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/kint-php/kint.git",
            "reference": "b091715eadaf6e1a7ef927f3e81d1004611d2aea"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/kint-php/kint/zipball/b091715eadaf6e1a7ef927f3e81d1004611d2aea",
            "reference": "b091715eadaf6e1a7ef927f3e81d1004611d2aea",
            "shasum": ""
        },
        "require": {
            "php": ">=5.1.2"
        },
        "require-dev": {
            "friendsofphp/php-cs-fixer": "^2.0",
            "phpunit/phpunit": "^4.0",
            "symfony/finder": "^2.6"
        },
        "time": "2017-09-06T17:46:03+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "init.php"
            ],
            "classmap": [
                "src/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Rokas ?leinius",
                "homepage": "https://github.com/raveren"
            },
            {
                "name": "Jonathan Vollebregt",
                "homepage": "https://github.com/jnvsor"
            },
            {
                "name": "Contributors",
                "homepage": "https://github.com/kint-php/kint/graphs/contributors"
            }
        ],
        "description": "Kint - debugging tool for PHP developers",
        "homepage": "https://kint-php.github.io/kint/",
        "keywords": [
            "debug",
            "kint",
            "php"
        ]
    },
    {
        "name": "paragonie/random_compat",
        "version": "v2.0.18",
        "version_normalized": "2.0.18.0",
        "source": {
            "type": "git",
            "url": "https://github.com/paragonie/random_compat.git",
            "reference": "0a58ef6e3146256cc3dc7cc393927bcc7d1b72db"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/paragonie/random_compat/zipball/0a58ef6e3146256cc3dc7cc393927bcc7d1b72db",
            "reference": "0a58ef6e3146256cc3dc7cc393927bcc7d1b72db",
            "shasum": ""
        },
        "require": {
            "php": ">=5.2.0"
        },
        "require-dev": {
            "phpunit/phpunit": "4.*|5.*"
        },
        "suggest": {
            "ext-libsodium": "Provides a modern crypto API that can be used to generate random bytes."
        },
        "time": "2019-01-03T20:59:08+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "lib/random.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Paragon Initiative Enterprises",
                "email": "security@paragonie.com",
                "homepage": "https://paragonie.com"
            }
        ],
        "description": "PHP 5.x polyfill for random_bytes() and random_int() from PHP 7",
        "keywords": [
            "csprng",
            "polyfill",
            "pseudorandom",
            "random"
        ]
    },
    {
        "name": "smottt/wideimage",
        "version": "1.1.2",
        "version_normalized": "1.1.2.0",
        "source": {
            "type": "git",
            "url": "https://github.com/smottt/WideImage.git",
            "reference": "9235ee96b5cdbc83a4c3ab7b51ce2fdd82c561ca"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/smottt/WideImage/zipball/9235ee96b5cdbc83a4c3ab7b51ce2fdd82c561ca",
            "reference": "9235ee96b5cdbc83a4c3ab7b51ce2fdd82c561ca",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3"
        },
        "require-dev": {
            "phpunit/phpunit": "~4.8"
        },
        "time": "2016-05-16T20:00:28+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-0": {
                "WideImage": "lib/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "GPL-2.0",
            "LGPL-2.1"
        ],
        "description": "An open-source PHP library for image manipulation. (With namespaces, PHP 5.3+)",
        "homepage": "http://wideimage.sourceforge.net"
    },
    {
        "name": "symfony/polyfill-ctype",
        "version": "v1.11.0",
        "version_normalized": "1.11.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-ctype.git",
            "reference": "82ebae02209c21113908c229e9883c419720738a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-ctype/zipball/82ebae02209c21113908c229e9883c419720738a",
            "reference": "82ebae02209c21113908c229e9883c419720738a",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-ctype": "For best performance"
        },
        "time": "2019-02-06T07:57:58+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.11-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Ctype\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            },
            {
                "name": "Gert de Pagter",
                "email": "backendtea@gmail.com"
            }
        ],
        "description": "Symfony polyfill for ctype functions",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "ctype",
            "polyfill",
            "portable"
        ]
    },
    {
        "name": "symfony/polyfill-iconv",
        "version": "v1.11.0",
        "version_normalized": "1.11.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-iconv.git",
            "reference": "f037ea22acfaee983e271dd9c3b8bb4150bd8ad7"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-iconv/zipball/f037ea22acfaee983e271dd9c3b8bb4150bd8ad7",
            "reference": "f037ea22acfaee983e271dd9c3b8bb4150bd8ad7",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-iconv": "For best performance"
        },
        "time": "2019-02-06T07:57:58+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.11-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Iconv\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill for the Iconv extension",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "iconv",
            "polyfill",
            "portable",
            "shim"
        ]
    },
    {
        "name": "symfony/polyfill-mbstring",
        "version": "v1.11.0",
        "version_normalized": "1.11.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-mbstring.git",
            "reference": "fe5e94c604826c35a32fa832f35bd036b6799609"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/fe5e94c604826c35a32fa832f35bd036b6799609",
            "reference": "fe5e94c604826c35a32fa832f35bd036b6799609",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-mbstring": "For best performance"
        },
        "time": "2019-02-06T07:57:58+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.11-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Mbstring\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill for the Mbstring extension",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "mbstring",
            "polyfill",
            "portable",
            "shim"
        ]
    },
    {
        "name": "symfony/yaml",
        "version": "v2.8.49",
        "version_normalized": "2.8.49.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/yaml.git",
            "reference": "02c1859112aa779d9ab394ae4f3381911d84052b"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/yaml/zipball/02c1859112aa779d9ab394ae4f3381911d84052b",
            "reference": "02c1859112aa779d9ab394ae4f3381911d84052b",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.9",
            "symfony/polyfill-ctype": "~1.8"
        },
        "time": "2018-11-11T11:18:13+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "2.8-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Component\\Yaml\\": ""
            },
            "exclude-from-classmap": [
                "/Tests/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Fabien Potencier",
                "email": "fabien@symfony.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony Yaml Component",
        "homepage": "https://symfony.com"
    },
    {
        "name": "webmozart/assert",
        "version": "1.4.0",
        "version_normalized": "1.4.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/webmozart/assert.git",
            "reference": "83e253c8e0be5b0257b881e1827274667c5c17a9"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/webmozart/assert/zipball/83e253c8e0be5b0257b881e1827274667c5c17a9",
            "reference": "83e253c8e0be5b0257b881e1827274667c5c17a9",
            "shasum": ""
        },
        "require": {
            "php": "^5.3.3 || ^7.0",
            "symfony/polyfill-ctype": "^1.8"
        },
        "require-dev": {
            "phpunit/phpunit": "^4.6",
            "sebastian/version": "^1.0.1"
        },
        "time": "2018-12-25T11:19:39+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.3-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Webmozart\\Assert\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Bernhard Schussek",
                "email": "bschussek@gmail.com"
            }
        ],
        "description": "Assertions to validate method input/output with nice error messages.",
        "keywords": [
            "assert",
            "check",
            "validate"
        ]
    },
    {
        "name": "xoops/base-requires25",
        "version": "v1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/XOOPS/base-requires25.git",
            "reference": "c824250b4656c2821d1162792ac93598464da5f9"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/XOOPS/base-requires25/zipball/c824250b4656c2821d1162792ac93598464da5f9",
            "reference": "c824250b4656c2821d1162792ac93598464da5f9",
            "shasum": ""
        },
        "require": {
            "geekwright/regdom": "^1.0.0",
            "ircmaxell/password-compat": "^1.0.4",
            "php": ">=5.3.9",
            "smottt/wideimage": "1.1.2",
            "symfony/polyfill-iconv": "^1.10.0",
            "symfony/polyfill-mbstring": "^1.10.0",
            "xoops/xmf": "^1.2.16"
        },
        "time": "2018-12-01T00:07:02+00:00",
        "type": "project",
        "installation-source": "dist",
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "GPL-2.0-or-later"
        ],
        "description": "Primary dependencies for XOOPS/XoopsCore25"
    },
    {
        "name": "xoops/xmf",
        "version": "v1.2.17",
        "version_normalized": "1.2.17.0",
        "source": {
            "type": "git",
            "url": "https://github.com/XOOPS/xmf.git",
            "reference": "a8a74d8910fae7ea70179d1ac07fcebde69b69db"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/XOOPS/xmf/zipball/a8a74d8910fae7ea70179d1ac07fcebde69b69db",
            "reference": "a8a74d8910fae7ea70179d1ac07fcebde69b69db",
            "shasum": ""
        },
        "require": {
            "firebase/php-jwt": "^5.0.0",
            "kint-php/kint": "^2.2",
            "paragonie/random_compat": "^2",
            "php": ">=5.3.9",
            "symfony/yaml": "2.8.*",
            "webmozart/assert": "^1.2"
        },
        "require-dev": {
            "phpunit/phpunit": "^7.0",
            "roave/security-advisories": "dev-master"
        },
        "time": "2019-03-27T19:46:44+00:00",
        "type": "project",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Xmf\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "GPL-2.0-or-later"
        ],
        "description": "XMF - XOOPS Module Framework"
    }
]

For more information send a message to info at phpclasses dot org.